---

# -- LDAP --
ldap_server: {{ num_config_ldap_server }}
ldap_password: {{ num_config_ldap_password }}
ldap_base_dn: {{ num_config_ldap_base_dn }}
ldap_bind_dn: {{ num_config_ldap_bind_dn }}
ldap_services_ou: {{ num_config_ldap_services_ou }}
ldap_people_ou: {{ num_config_ldap_people_ou }}
ldap_groups_ou: {{ num_config_ldap_groups_ou }}
ldap_aliases_ou: {{ num_config_ldap_aliases_ou }} # Not available in num
ldap_projects_groups_ou: {{ num_config_ldap_projects_groups_ou }}
ldap_user_groups_ou: {{ num_config_ldap_user_groups_ou }}
min_uid_number: {{ num_config_min_uid_number }}

hpc_cn: {{ num_config_hpc_cn }} # Not available in num

add_user_to_group_cn: {{ num_config_add_user_to_group_cn }}
group_cn: {{ num_config_group_cn }}
create_user_group: {{ num_config_create_user_group }} # Not available in num


client_server: {{ num_config_client_server }}

# -- FS --
default_inode_factor: {{ num_config_default_inode_factor }}
default_hard_quota_factor: {{ num_config_default_hard_quota_factor }}

## - All type of storage -
mkdir_template: '{{ num_config_mkdir_template }}'
quota_template: '{{ num_config_quota_template }}'
setfacl_right_uppercase: {{ num_config_setfacl_right_uppercase }}
setfacl_project_template: '{{ num_config_setfacl_project_template }}'
setfacl_project_remove_template: '{{ num_config_setfacl_project_remove_template }}'

## - Home -
user_default_soft_quota: {{ num_config_user_default_soft_quota }}
user_home: {{ num_config_user_home }}
quota_home: {{ num_config_quota_home }}
home_quota_template: {{ num_config_home_quota_template }}
{% if num_config_home_extra_cmd_template is defined %}home_extra_cmd_template: {{ num_config_home_extra_cmd_template }}{% endif %}


## - Projects -
project_default_soft_quota: {{ num_config_project_default_soft_quota }}
project_home: {{ num_config_project_home }}
project_mkdir_template: '{{ num_config_project_mkdir_template }}'
project_quota_template: {{ num_config_project_quota_template }}
{% if num_config_project_extra_cmd_template is defined %}project_extra_cmd_template: {{ num_config_project_extra_cmd_template }}{% endif %}

## - Scratch -
scratch_default_soft_quota: {{ num_config_scratch_default_soft_quota }}
scratch_home: {{ num_config_scratch_home }}
scratch_mkdir_template: '{{ num_config_scratch_mkdir_template }}'
scratch_quota_template: {{ num_config_scratch_quota_template }}
{% if num_config_scratch_extra_cmd_template is defined %}scratch_extra_cmd_template: {{ num_config_scratch_extra_cmd_template }}{% endif %}

# -- SLURM --
open_partitions:
{% for partition in num_config_open_partitions %}
  - {{ partition }}
{% endfor %}


# -- Communication --
notification_sender: {{ num_config_notification_sender }}
smtp_host: {{ num_config_smtp_host }}


## Emails variables
email_cluster_name_fr: |
  {{ num_config_email_cluster_name_fr | indent(2) }}
email_cluster_name_en: |
  {{ num_config_email_cluster_name_en | indent(2) }}
email_cluster_homepage: |
  {{ num_config_email_cluster_homepage  | indent(2) }}
email_login_node_address: {{ num_config_email_login_node_address }}
email_other_services_fr: |
  {{ num_config_email_other_services_fr | indent(2) }}
email_other_services_en: |
  {{ num_config_email_other_services_en | indent(2) }}
